/*
	 *********************************************************************************
	 *		example2.cpp                              
	 *		r20010330
	 *		
	 *		2001 by Emu10k1 Independent Programmers
	 *		http://go.to/emu10k1
	 *
	 *********************************************************************************
	 *		THIS FILE IS PROVIDED WITHOUT ANY EXPRESSED OR IMPLIED WARRANTIES 
	 *		OF ANY KIND, INCLUDING BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES 
	 *		OF FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABILITY OR TITLE.
	 *              THIS IS OPEN-SOURCE CODE, TO BE USED FOR EDUCATIONAL PURPOSES ONLY.		 *	
	 *********************************************************************************
	 */

#include "aps15api.cpp"
#include "windows.h"


int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
 	
	long hr;
	//First call aps15api init function
	hr = hrmInitHwIds();
	if (hr != APS_SUCCESS)
					return 1;

	//Then connect midi channel 1 left from SynthA to FXBUS4 (userstrip1 left)
	hr = srmAssignMIDIChannelSendToFXEngInput(HWID_HRM,MIDISYNTH_A,MIDICH1,SEND_LEFT,FXBUS4);
	if (hr != APS_SUCCESS)
					return 1;
	//Then connect midi channel 1 right from SynthA to FXBUS7 (userstrip2 right)
	hr = srmAssignMIDIChannelSendToFXEngInput(HWID_HRM,MIDISYNTH_A,MIDICH1,SEND_RIGHT,FXBUS7);
	if (hr != APS_SUCCESS)
					return 1;
	//Then connect midi channel 2 left from SynthA to FXBUS6 (userstrip2 left)
	hr = srmAssignMIDIChannelSendToFXEngInput(HWID_HRM,MIDISYNTH_A,MIDICH2,SEND_LEFT,FXBUS6);
	if (hr != APS_SUCCESS)
					return 1;
	//Then connect midi channel 2 right from SynthA to FXBUS5 (userstrip1 right)
	hr = srmAssignMIDIChannelSendToFXEngInput(HWID_HRM,MIDISYNTH_A,MIDICH2,SEND_RIGHT,FXBUS5);
	if (hr != APS_SUCCESS)
					return 1;
	
	return 0;
}



