/*
*********************************************************************************
*		nmboot.cpp                              
*		r20010330
*		
*		2001 by Emu10k1 Independent Programmers
*		http://go.to/emu10k1
*
*********************************************************************************
*/

// Note: this file just a plan for a future,
// rename it if you use it

#include "windows.h"
#include "objbase.h"
#include "aps15api.h"

const GUID CLSID_FXEngine = {0xD35D460F, 0x8C51, 0x11D1,{ 0xB2, 0x53, 0x00, 0xA0, 0x24, 0xD1, 0x3C, 0xE1} };
const GUID IID_IFXManager = {0xC61556A0, 0x8B65, 0x11D1,{ 0xB2, 0x53, 0x00, 0xA0, 0x24, 0xD1, 0x3C, 0xE1} };
	
// IUnknown because of me using no FxEngine COM (yet ?)
IUnknown* FxEngine;
DWORD PortsId;

long KillSoundScene()
{
		HWND hWnd;
		
		hWnd = FindWindow("E-mu APS SoundScene", 0);
		if (hWnd != 0) SendMessage(hWnd, WM_DESTROY, 0, 0);

		// this will kill e10fxsrv even if other prog (fxtoy) use it
		// hWnd = FindWindow("E-mu FX", 0);
		// if (hWnd != 0) SendMessage(hWnd, WM_DESTROY, 0, 0);

		return 0;
}

long OpenFxEngine()
{
	/* Although we can allocate chip and do other initializations
		ourself, we should use e10fxsrv.exe for chip allocation
		to let other programs (like fxtoy) to use FxEngine */

long hr;

	hr = CoInitialize(NULL);
	if (hr != 0) return 1;

	hr = CoCreateInstance(CLSID_FXEngine, NULL, CLSCTX_LOCAL_SERVER, IID_IFXManager, (void**) &FxEngine);
	if (hr != 0) return 1;

	hrmInitHwIds();
	hr = fxPgmCreatePortID(HWID_CHIP, CI_ALL, CO_ALL, &PortsId);
	if (hr != 0) return 1;

	return 0;

}

long CloseFxEngine()
{
	
	FxEngine->Release();

	CoUninitialize();

	return 0;

}
