// Note: this file just a plan for a future,
// rename it if you use it

#include "pmsys.h"

// MAXFRACT declared as variable (not const or as define) because
// only in that way expression "1.0 * 0x7fffffff" gives 0x7fffffff
// other cases give 0x80000000 - dunno why...
long MAXFRACT = 0x7fffffff; 

_inline long float2fract(float value) {return (long) (value * MAXFRACT);}
_inline float fract2float(long value) {return (float) value / MAXFRACT;}
_inline long double2fract(double value) {return (long) (value * MAXFRACT);}
_inline double fract2double(long value) {return (double) value / MAXFRACT;}
